// #### BASE CONFIGS BY THECRYPTOBOT.COM

var config = {

    // EDIT LINES BELOW ////////////////////////////////////////////////////////////////////////////////////

    //---POLONIEX 
    POLONIEX_KEY: 'YOUR API KEY HERE',
    POLONIEX_SECRET: 'YOUR API KEY SECRET HERE',

    //---BITTREX 
    BITTREX_KEY: 'YOUR API KEY HERE',
    BITTREX_SECRET: 'YOUR API KEY SECRET HERE',

    //---KRAKEN 
    KRAKEN_KEY: 'YOUR API KEY HERE',
    KRAKEN_SECRET: 'YOUR API KEY SECRET HERE',

    BTC_TRADING_LIMIT: 0.001, // - FOR EXAMPLE : 0.01 | max amount of BTC balance to use for each pair
    //MAX_ALTCOINS_BALANCE: 0.5, // - FOR EXAMPLE : 0.5 | - this will limit the value of all bought coins to 0.5 BTC .

    // END EDIT .

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /*
        ████████╗██╗  ██╗███████╗     ██████╗██████╗ ██╗   ██╗██████╗ ████████╗ ██████╗     ██████╗  ██████╗ ████████╗        ██████╗ ██████╗ ███╗   ███╗
        ╚══██╔══╝██║  ██║██╔════╝    ██╔════╝██╔══██╗╚██╗ ██╔╝██╔══██╗╚══██╔══╝██╔═══██╗    ██╔══██╗██╔═══██╗╚══██╔══╝       ██╔════╝██╔═══██╗████╗ ████║
           ██║   ███████║█████╗      ██║     ██████╔╝ ╚████╔╝ ██████╔╝   ██║   ██║   ██║    ██████╔╝██║   ██║   ██║          ██║     ██║   ██║██╔████╔██║
           ██║   ██╔══██║██╔══╝      ██║     ██╔══██╗  ╚██╔╝  ██╔═══╝    ██║   ██║   ██║    ██╔══██╗██║   ██║   ██║          ██║     ██║   ██║██║╚██╔╝██║
           ██║   ██║  ██║███████╗    ╚██████╗██║  ██║   ██║   ██║        ██║   ╚██████╔╝    ██████╔╝╚██████╔╝   ██║       ██╗╚██████╗╚██████╔╝██║ ╚═╝ ██║
           ╚═╝   ╚═╝  ╚═╝╚══════╝     ╚═════╝╚═╝  ╚═╝   ╚═╝   ╚═╝        ╚═╝    ╚═════╝     ╚═════╝  ╚═════╝    ╚═╝       ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝
    */
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    //  DEBUG 
    DEBUG_LOG: false,
    I_REALLY_WANT_IT: false,
    BUY_SMALL_PORTION: 1,
    INSUFFICIENT_FUNDS_ON_SELL_FIX: 0.0005,
    INSUFFICIENT_FUNDS_ON_BUY_FIX: 0.0005,
    //----------------------------------------------- 
    //   STARTUP OPTIONS  
    //-----------------------------------------------  
    SELL_ON_START: false,
    CANCEL_SELL_ORDERS_ON_START: false,
    CANCEL_BUY_ORDERS_ON_START: false,
    CANCEL_OPEN_ORDERS_ON_START: false,
    MAX_LATEST_PRICES: 1200,
    MAX_LATEST_DIRECTIONS: 120,
    MAX_LATEST_PRICES_TREND: 60,
    MAX_LAST_ORDERS: 20,
    PERIOD: 15,
    SAVEFILE_SUFFIX: '-save.json',
    //  PRIMARY SETTINGS  
    DEFAULT_MARKET_NAME: 'poloniex',
    DEFAULT_CURRENCY_PAIR: 'BTC_ETH',
    BUYLVL1: 1.9,
    BUYLVL2: 5.9,
    BUYLVL3: 15,
    SELLLVL1: 2.4,
    SELLLVL2: 3.1,
    SELLLVL3: 99,
    BUY_STRATEGY: 'BB',
    SELL_STRATEGY: 'BB',
    LOW_BB: 35,
    HIGH_BB: 35,
    PINGPONG_BUY: 0.12345678,
    PINGPONG_SELL: 0.12345678,
    BUY_LEVEL: 5,
    GAIN: 5,
    //BTC_TRADING_LIMIT: 0.02,
    SECURITY_MARGIN: 30,
    MIN_VOLUME_TO_BUY: 0.0005,
    //---BITTREX  
    //BITTREX_KEY: 'XXXXX',
    //BITTREX_SECRET: 'XXXXX',
    BITTREX_PRICE_METHOD: 'ohlc',
    BITTREX_VWA_1_INTERVAL: 0.02,
    BITTREX_VWA_2_INTERVAL: 0.04,
    //---KRAKEN  
    KRAKEN_ASSET_PAIR: 'XETHXXBT',
    //KRAKEN_KEY: 'xxxxx',
    //KRAKEN_SECRET: 'xxxxx',
    KRAKEN_PRICE_METHOD: 'ohlc',
    KRAKEN_VWA_1_INTERVAL: 0.02,
    KRAKEN_VWA_2_INTERVAL: 0.04,
    //---POLONIEX  
    //POLONIEX_KEY: 'xxxxx',
    //POLONIEX_SECRET: 'xxxxx',
    POLONIEX_PRICE_METHOD: 'vwa',
    POLONIEX_VWA_1_INTERVAL: 0.02,
    POLONIEX_VWA_2_INTERVAL: 0.04,
    //   BOT TIMINGS  
    API_CALLS_DELAY: 777,
    BOT_SLEEP_DELAY: (1000) * 30,
    BOT_MAX_LIFETIME: 999999999,
    BOT_ON_FAIL_DELAY: (1000) * 60,
    // EMAIL  
    ALERT_ON_NO_FUNDS: false,
    SMTP_EMAIL: '%40@gmail.com',
    ALERT_EMAIL: '********',
    SMTP_PASSWORD: '********',
    SMTP: true,
    SMTP_PROTOCOL: 'SMTPS',
    SMTP_HOST: 'smtp.gmail.com',
    //  OUTPUT  
    MAX_LATEST_PRICES_SHOWN: 0,
    SHOW_LASTEST_DIRECTIONS: false,
    MAX_LATEST_DIRECTIONS_SHOWN: 0,
    LASTEST_DIRECTIONS_LIST_WIDTH: 0,
    //   OTHER (might be deprecated/not in use )  
    BTC_BALANCE: 2
};
module.exports = config;